Subject: "read" routine!
From: [email-masked] (Hasmik Sarkezians)

11 Dec 1997 19:57:00 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Does anyone know what "read" routine does when a Ctrl-C is 
issued??

My application starts a Tcl shell and if I issue a Ctrl-C from
the debugger it exits the program. I have debugged this to the point
that I think the "read" routine is not behaving like the "read" on the unix
system. The "read" on NT system returns a 0 (zero) and the Tcl application
treats that as the end-of-file and exits the program. Shouldn't the "read"
routine return some sort of error (EINTR)??

Thanks,

hasmik

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".